package LCM::Manifests::GenericManifest;

use base SDB::Install::Manifest;
use strict;

#support both HDB and non HDB components, which doesn't use HDB revisions properties in the manifest

sub read() {
	my $self = shift;
	my $data = $self->SUPER::read();

	if (!defined $data->{'rev-number'}){
		$data->{'rev-number'} = $data->{'sp-number'};
	}

	if (!defined $data->{'rev-patchlevel'}){
		$data->{'rev-patchlevel'} = $data->{'sp-patchlevel'};
	}

	if (!defined $data->{'rev-changelist'}){
		$data->{'rev-changelist'} = '0';
		$self->setRevChangelistNotDefinedInManifest();
	}

	return $data;
}

1;
