package SDB::Install::Configuration::LSSPasswordListener;

use strict;
use warnings;

sub new {
    my ($class) = @_;
    return bless({}, $class);
}

sub onValueChange {
    my ($self, $value, $configuration) = @_;
    $configuration->setSkip('LSSPassword', !$configuration->shouldUnskipLSSPassword());
    return 1;
}

1;
