#!/usr/bin/perl
#
# $Header$
# $DateTime$
# $Change$
#
# Desc: Configuration dialog => gui of SDB::Install::Configuration classes

package SDB::Install::Gui::Dialogs::VolumePaths;

use SDB::Install::Gui::Dialogs::GenericParameter;
use strict;

our @ISA = qw (SDB::Install::Gui::Dialogs::GenericParameter);

sub new{
	my($self ) = shift->SUPER::new(@_);
	$self->{id} = 'VolumePaths';
	$self->{label_text} = "Specify the Data and Log Area";
	$self->{name} = 'Define Storage Properties';
	return $self;
}


sub getParamKeys{
    return ['BasePathDataVolumes','BasePathLogVolumes', 'PMemMountPoints', 'BasePathPMem'];
}

1;
